function [] = cardiomat (args)
%  CARDIOMAT: GUI front end to cardiac tracker
%   
%       GENERAL
%   
%        [] = cardiomat () 
%
%       ABOUT
%         -Created:     January 24th, 2011   
%         -Author:      Dr. R. S. Schestowitz
%  =================================================================

display_splash_screen = 1;
run_niced=0;

% get some settings, then start

if (display_splash_screen)
    splash_handle = splash;
          % display splash screen
    if (strcmp(getenv('OS'), 'Linux'))
      if (run_niced)
	      % run with CPU at lower capacity
	      unix('nice fiesta_simulation');
          % not implemented yet          
      else
  	      fiesta_simulation;
      end	   
    else
       % if not on Linux
        fiesta_simulation;
    end      
    close(splash_handle);
      % close the splash screen once the main window is open
    clc;
else
    fiesta_simulation;
    clc;
       % clear screen when main window is open
end


