function [Im]=cardsim_frame_shortaxis(r0, Th);
% CARDSIM_FRAME_SHORTAXIS: this function creates a contracting ring to simulate the heart short axis
% B"H

% Manual:
% r0=25;% endo in mm
% Th=10; % wall thickness in mm


Im=zeros(100,100);
%teta=0:360;
%teta=teta*pi/180;
x0=50;
y0=50;

figure(1);
hold off;
for i=1:Th;
    for teta=1:360
         teta=teta*pi/180;
   	 x=x0+round((r0+i)*(cos(teta)));
    	 y=y0+round((r0+i)*(sin(teta)));
    	 Im(y,x)=1;
    end
    plot(y,x);
end
hold
figure(2);
%  cd("~/Desktop");
 print (strcat("~/Desktop/",num2str(r0),".png"), "-color", "-FHelvetica:12", "-dpng"); % make image
colormap gray;axis('image')
imagesc(Im);
 ff=fftshift(fft2(Im));
    ff(45,65)=ff(45,65)+1e5; %set the tag lines
      %ff(45,45)=ff(45,45)+1e5; %set the tag lines
      %ff(35,35)=ff(35,35)+1e5; %set the tag lines
 Im=abs(ifft2(ff));
 figure(3);
 colormap gray;
 imagesc(Im);