function [new_image] = create_synthetic_set
% CREATE_SYTHETIC_SET: synthesise a set of cardiac images with tags
%
%    Licensing
%
%      GNU GPL version 3
%
%    GENERAL
%
%      Script
%
%    INPUT/S
%
%      -None
%
%    OUTPUT/S
%
%      -None
%
%    PENDING WORK
%
%      -
%
%    KNOWN BUG/S
%
%      -
%
%    COMMENT/S
%
%      -
%
%    RELATED FUNCTION/S
%
%      CARDSIM_FRAME_SHORTAXIS
%
%    ABOUT
%
%      -Created:     November 2010
%      -Last update: November 25th, 2010
%      -Revision:    0.0.1
%      -Author:      Dr. R. S. Schestowitz
% ==============================================================

n=8; % number of images
r0=25; % endo in mm

Th=10; % wall thickness in mm

radius_change_per_frame=1;
thickness_change_per_frame=-1;

% expansion cycle

for i=1:n
	frames=cardsim_frame_shortaxis(r0, Th);
	r0=r0+radius_change_per_frame;
	Th=Th+thickness_change_per_frame;
	% 	imwrite(frames, num2str(n)+".jpg");
	%imwrite(frames, "2.jpg");
end


% th^2=2r0*th-area0 (area); 