function [] = getoptionsgui()
% GETOPTIONSGUI: Use a GUI to retrieve settings from the user and then run the main program
%
%    Licensing
%
%      GNU GPL version 3
%
%    GENERAL
%
%      Script
%
%    INPUT/S
%
%      -Omitted
%
%    OUTPUT/S
%
%      -
%
%    PENDING WORK
%
%      -
%
%    KNOWN BUG/S
%
%      -None.
%
%    DESCRIPTION
% 
%
%    RELATED FUNCTION/S
%
%      
%    ABOUT
%
%      -Created:     January 2011
%      -Last update: January 24th, 2011
%      -Revision:    0.0.1
%      -Author:      Dr. R. S. Schestowitz
% ==============================================================

% ╔══════════════════════════════════════════════╗
% ║ getoptionsgui     ║ Dr. R. S. Schestowitz    ║
% ╟──────────────────────────────────────────────╢
% ║ Get options                                  ║
% ╚══════════════════════════════════════════════╝




directory=uigetdir('','Select directory containing images');
% directory fetches with the GUI, ensuring it does in fact example



[threshold, transform_type, frame_size, shuffle_radius, draw_grid, arrow_type, verbosity, output_type, boundary_type] = get_parameters_from_user('Default');

% use menus to get parameters with sanitised data (rails imposed on parameter values)


% show images here if necessary

% ╔══════════════════════════════════════════════╗
% ║ getoptionsgui     ║ Dr. R. S. Schestowitz    ║
% ╟──────────────────────────────────────────────╢
% ║ Run the program                              ║
% ╚══════════════════════════════════════════════╝

loadtaggedsequence(directory, '*.bmp', threshold, transform_type, frame_size, shuffle_radius, draw_grid, arrow_type, verbosity, output_type, boundary_type, 0);
% the zero at the end assumed Octave is not used, due to the GUI part (disable the splash screen if necessary).
